Prepare for the PgBouncer and IPv4 deprecations on 26th January 2024

Database

Print PostgreSQL version

It's important to know which version of PostgreSQL you are running as each major version has different features and may cause breaking changes. You may also need to update your schema when upgrading or downgrading to a major Postgres version.

Run the following query using the SQL Editor in the Supabase Dashboard:


_10
select
_10
version();

Which should return something like:


_10
PostgreSQL 15.1 on aarch64-unknown-linux-gnu, compiled by gcc (Ubuntu 10.3.0-1ubuntu1~20.04) 10.3.0, 64-bit

This query can also be executed via psql or any other query editor if you prefer to connect directly to the database.